SQuirreL SQL Client Version 2.6.5 released

SQuirreL SQL Client is a graphical Java program that will allow you to view the structure of a JDBC compliant database, browse the data in tables, issue SQL commands etc, see Introduction. The minimum version of Java supported is 1.5.x as of SQuirreL version 2.4. See the Old Versions page for versions of SQuirreL that will work with older versions of Java

We particularly like this tool during the audit and pentest session. Because it works with many DBMS that has a JDBC 2.0 driver.

This tool was a great help especially during the Oracle and MySQL database assessment.

People have reported SQuirreL working with the following:

  • Axion Java RDBMS.
  • Daffodil (One$DB)
  • Apache Derby (formerly Cloudscape) Using SQuirreL SQL with Derby (by Susan Cline)
  • Fujitsu Siemens SESAM/SQL-Server with the SESAM/SQL JDBC driver.
  • Firebird with the JayBird JCA/JDBC Driver.
  • FrontBase
  • HSQL.
  • Hypersonic SQL.
  • H2
  • IBM DB2 for Linux, OS/400 and Windows.
  • Informix.
  • CA Ingres 2.6 SP2 with EDBC driver v1.8 (probably works with Caribou Lake driver too).
  • InstantDB.
  • Interbase with the Interclient JDBC driver.
  • Mckoi SQL.
  • Microsoft Access with the JDBC/ODBC bridge.
  • Microsoft SQL Server with the Microsoft, WebLogic and jTDS JDBC drivers.
  • Mimer SQL
  • MySQL with the MM MySQL JDBC driver.
  • Oracle 8i, 9i and 10g with the Oracle thin and OCI drivers.
  • Pointbase.
  • PostgreSQL 7.1.3 and higher..
  • Progress OpenEdge 10.1x.
  • SAPDB.
  • Sybase with the JConnect JDBC driver. There are currently some issues with - Sybase JConnect 5.5 and SQuirreL 1.1 although JConnect 4.5 seems to work.
  • Sunopsis XML Driver (JDBC Edition).
  • Teradata Warehouse
  • ThinkSQL RDBMS.

Post scriptum


Comments

Related Articles

Database
SQuirreL